opencv: cv::MserFeatureDetector Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes

# cv::MserFeatureDetector Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::MserFeatureDetector:

List of all members.

## Public Member Functions
| MserFeatureDetector (CvMSERParams params=cvMSERParams())
| MserFeatureDetector (int delta, int minArea, int maxArea, double maxVariation, double minDiversity, int maxEvolution, double areaThreshold, double minMargin, int edgeBlurSize)
virtual void | read (const FileNode &fn)
virtual void | write (FileStorage &fs) const
## Protected Member Functions
virtual void | detectImpl (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const
## Protected Attributes
MSER | mser

## Constructor & Destructor Documentation

cv::MserFeatureDetector::MserFeatureDetector | ( | CvMSERParams | params = `cvMSERParams()` ) |

cv::MserFeatureDetector::MserFeatureDetector | ( | int | delta,
|  | int | minArea,
|  | int | maxArea,
|  | double | maxVariation,
|  | double | minDiversity,
|  | int | maxEvolution,
|  | double | areaThreshold,
|  | double | minMargin,
|  | int | edgeBlurSize
| ) |  |

## Member Function Documentation

virtual void cv::MserFeatureDetector::detectImpl | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | const Mat & | mask = `Mat()`
| ) |  | const`[protected, virtual]`

Implements cv::FeatureDetector.

virtual void cv::MserFeatureDetector::read | ( | const FileNode & | fn ) | `[virtual]`

Reimplemented from cv::FeatureDetector.

virtual void cv::MserFeatureDetector::write | ( | FileStorage & | fs ) | const`[virtual]`

Reimplemented from cv::FeatureDetector.

## Member Data Documentation

MSER cv::MserFeatureDetector::mser`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines